﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训记录
    /// </summary>
    [Description("培训记录")]
    public class TrainRecordDto:UpdateTrainRecordDto
    {

    }

    /// <summary>
    /// 培训记录
    /// </summary>
    [Description("培训记录")]
    public class AddTrainRecordDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 培训计划Id
        /// </summary>
        [Description("培训计划Id")]
        public string TrainPlanId { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 培训记录
    /// </summary>
    [Description("培训记录")]
    public class UpdateTrainRecordDto : AddTrainRecordDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
