﻿using Exam.Application.Interface.Train;
using Exam.Infrastructure.Data.Entity;
using Exam.Insfrastructure.Service.Service;
using Exam.Share.ViewResponses.Train;
using Exam.Trains;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Trains;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Trains;
using Hotline.Share.Requests.Train;
using MapsterMapper;
using XF.Domain.Dependency;

namespace Hotline.Application.Exam.Service.Trains
{
    public class TrainTemplateService : ApiService<TrainTemplate, AddTrainTemplateDto,UpdateTrainTemplateDto, HotlineDbContext>, ITrainTemplateService, IScopeDependency
    {
        private readonly ITrainTemplateRepository _repository;

        public TrainTemplateService(ITrainTemplateRepository repository, 
            IMapper mapper) : base(repository, mapper)
        {
            _repository = repository;
        }

        public Task<TrainTemplateDto> GetAsync(EntityQueryRequest entityQueryRequest)
        {
            throw new NotImplementedException();
        }

        public Task<(int, List<TrainTemplateViewResponse>)> GetListAsync(TrainTemplatePagedRequest queryRequest)
        {
            throw new NotImplementedException();
        }

        public Task<PageViewResponse<TrainTemplateViewResponse>> GetPagedListAsync(TrainTemplatePagedRequest queryRequest)
        {
            throw new NotImplementedException();
        }
    }
}
